{% extends 'tests/base.html' %}
{% load crispy_forms_tags %}

{% block title %} | {{ registration.session.test.name }} | {{ registration.session.name }} {% endblock %}

{% block content %}
    <a href="{% url 'test_sessions' test_id=registration.session.test.id %}" class="btn btn-link float-left text-dark">
        <i class="fa fa-arrow-left mr-2"></i>{{ registration.session.test.name }}
    </a>
    <div class="container">
        <h1 class="m-3 text-center">{{ registration.session.test.name }}, {{ registration.session.name }}</h1>
        <h5 class="m-3 text-center">Your Attempts</h5>
        <div class="list-group">
            {% for attempt, grade in attempts %}
                {% if grade != None %}
                    {% if attempt.passed %}
                        <div class="list-group-item d-flex flex-row align-items-center justify-content-between list-group-item-success">
                            <span>Submitted at {{ attempt.submitted }}</span>
                            <div>
                                <span class="mr-3">{{ grade | stringformat:".2f" }}%</span>
                                {% if registration.swiped_out != None or swipe_enabled == False%}
                                    <a href="{% url 'trainings' %}" class="btn btn-primary">Certificate available</a>
                                {% else %}
                                    <span class="btn btn-disabled">Swipe out to get certificate</span>
                                {% endif %}
                            </div>
                        </div>
                    {% else %}
                        <div class="list-group-item d-flex flex-row align-items-center justify-content-between list-group-item-danger">
                            <span>Submitted at {{ attempt.submitted }}</span>
                            <span class="mr-3">{{ grade | stringformat:".2f" }}%</span>
                        </div>
                    {% endif %}
                {% else %}
                    {% if attempt.opened != None %}
                        <div class="list-group-item d-flex flex-row align-items-center justify-content-between list-group-item-info">
                            <span>Opened at {{ attempt.opened }}</span>
                        </div>
                    {% else %}
                        <div class="list-group-item d-flex flex-row align-items-center justify-content-between">
                            <span>Registered at {{ registration.registered }}</span>
                        </div>
                    {% endif %}
                {% endif %}
            {% endfor %}
        </div>
    </div>
{% endblock %}
